# docker-compose-visualisation.yml
# Lancer en troisième : docker compose -f docker-compose-visualisation.yml up -d

services:
  grafana:
    image: grafana/grafana:latest
    container_name: grafana-observability
    ports:
      - "3000:3000"
    volumes:
      - grafana-data:/var/lib/grafana
    environment:
      - GF_SECURITY_ADMIN_USER=admin
      - GF_SECURITY_ADMIN_PASSWORD=admin
    networks:
      - observability_observability

volumes:
  grafana-data:

networks:
  observability_observability:
    external: true